/****************************************************************************
** Form interface generated from reading ui file 'formoptions.ui'
**
** Created: 2012-09-28T05:57:05
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef FORMOPTIONS_H
#define FORMOPTIONS_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QLineEdit;
class QButtonGroup;
class QRadioButton;
class QGroupBox;
class QCheckBox;
class QProgressBar;
class QPushButton;

class FormOptions : public QDialog
{
    Q_OBJECT

public:
    FormOptions( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~FormOptions();

    QLabel* textLabel1;
    QLineEdit* lineEditHeightfieldMultiply;
    QButtonGroup* buttonGroup1;
    QRadioButton* radioButtonEarthNormal;
    QRadioButton* radioButtonEarthGrid;
    QRadioButton* radioButtonEarthBorder;
    QButtonGroup* buttonGroup2;
    QRadioButton* radioButtonFrontPoint;
    QRadioButton* radioButtonAroundCamera;
    QGroupBox* groupBox1;
    QCheckBox* checkBoxProxy;
    QLineEdit* lineEditProxyport;
    QLabel* textLabel2;
    QLabel* textLabel1_2;
    QLineEdit* lineEditProxyname;
    QGroupBox* groupBox2;
    QCheckBox* checkBoxUseMultitexturing;
    QCheckBox* checkBoxUseTextureCompression;
    QGroupBox* groupBox3;
    QLabel* textLabel1_3;
    QLabel* textLabel2_2;
    QLabel* textLabel3;
    QProgressBar* progressBarCache;
    QLabel* labelUsageCacheMB;
    QPushButton* pushButtonBrowseCacheLocation;
    QLineEdit* lineEditCacheSizeMB;
    QLineEdit* lineEditCacheLocation;
    QCheckBox* checkBoxUseLocalCache;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;

    virtual void setHeightfieldMultiplier( float factor );
    virtual void setConcurrentDownloads( int downloads );
    virtual void setEarthView( int earthview );
    virtual float getHeightfieldMultiplier();
    virtual int getConcurrentDownloads();
    virtual int getEarthView();
    virtual void setProxy( bool proxyused, QString proxyname, int proxyport );
    virtual bool getProxyUsed();
    virtual QString getProxyName();
    virtual int getProxyPort();
    virtual void setUseTextureCompression( bool useTextureCompression );
    virtual bool getUseTextureCompression();
    virtual void setUseMultitexturing( bool useMultitexturing );
    virtual bool getUseMultitexturing();
    virtual void setUseLocalCaching( bool useLocalCaching );
    virtual bool getUseLocalCaching();
    virtual void setRotationType( int type );
    virtual int getRotationType();
    virtual void setLocalCacheSize( int size_mb );
    virtual int getLocalCacheSize();
    virtual void setLocalCacheLocation( QString localCacheLocation );
    virtual QString getLocalCacheLocation();
    virtual void setLocalCacheUsage( float used_mb, float size_mb );

public slots:
    virtual void on_pushButtonBrowseCacheLocation_clicked();

protected:
    QVBoxLayout* FormOptionsLayout;
    QHBoxLayout* layout9;
    QHBoxLayout* buttonGroup1Layout;
    QHBoxLayout* buttonGroup2Layout;
    QHBoxLayout* groupBox1Layout;
    QVBoxLayout* layout4;
    QGridLayout* layout3;
    QVBoxLayout* groupBox2Layout;
    QGridLayout* groupBox3Layout;
    QHBoxLayout* Layout1;
    QSpacerItem* Horizontal_Spacing2;

protected slots:
    virtual void languageChange();

};

#endif // FORMOPTIONS_H
