/****************************************************************************
** Form interface generated from reading ui file 'formview.ui'
**
** Created: 2012-09-28T05:57:05
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef FORMVIEW_H
#define FORMVIEW_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include "connectNetworkService.h"
#include "serviceFoundLister.h"
#include "graphicsObjectsContainer.h"
#include "treeDrawFactory.h"
#include "listViewServiceItem.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class GLTestWidget;
class QSplitter;
class QTabWidget;
class QWidget;
class QListView;
class QListViewItem;
class QListBox;
class QListBoxItem;
class QFrame;
class QToolButton;
class QLabel;
class QSlider;

class FormView : public QMainWindow
{
    Q_OBJECT

public:
    FormView( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~FormView();

    QSplitter* splitter3;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QListView* listViewSources;
    QWidget* tab_2;
    QListBox* listBoxDrawItems;
    QFrame* frameGL;
    GLTestWidget* gLMainWidget;
    QToolButton* toolButtonSearch;
    QToolButton* toolButtonScreenshot;
    QToolButton* pushButtonMovie;
    QLabel* textLabel1_3;
    QSlider* sliderQuality;
    QLabel* textLabel2;
    QSlider* sliderCenterweight;
    QToolButton* toolButtonOptions;
    QToolButton* toolButtonInfo;
    QToolBar *Toolbar;
    QToolBar *Toolbar_3;
    QToolBar *Toolbar_2;

    virtual void init();
    virtual void addToDrawList( Draw * draw );
    virtual void removeFromDrawList( Draw * draw );
    virtual bool event( QEvent * e );
    virtual void destroy();
    virtual void setServiceListLocation(QString location);

public slots:
    virtual void searchAction_activated();
    virtual void loadSlot();
    virtual void loadFunction( ListViewServiceItem * item, QMap<QString, QString> propertiesMap );
    virtual void testSlot();
    virtual void exitSlot();
    virtual void zoomChanged( int value );
    virtual void checkChanged();
    virtual void screenshotSlot();
    virtual void centerweightSlot( int value );
    virtual void navRotateSlot();
    virtual void navFlySlot();
    virtual void viewTextureSlot();
    virtual void addSource( QString source );
    virtual void removeActiveSlot();
    virtual void timerDoneAutoSearchSlot();
    virtual void addMarketplaceSlot( QString host, int port );
    virtual void infoSlot();
    virtual void addSlot();
    virtual void movieStartStopSlot( bool status );
    virtual void captureFrameSlot();
    virtual void optionsSlot();

protected:
    DataReceivedListener *drl;
    ConnectNetworkService *cns;
    GraphicsObjectsContainer *goc;
    TreeDrawFactory *tdf;
    int movieframecount;
    QString serviceListLocation;

    QHBoxLayout* FormViewLayout;
    QVBoxLayout* layout7;
    QHBoxLayout* tabLayout;
    QVBoxLayout* layout5;
    QHBoxLayout* tabLayout_2;
    QVBoxLayout* layout6;
    QHBoxLayout* frameGLLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // FORMVIEW_H
